Name:           gnome-disk-utility
Version:        3.30.2
Release:        2
Summary:        Libraries and applications for dealing with storage devices
License:        GPLv2+
URL:            https://git.gnome.org/browse/gnome-disk-utility
Source0:        https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz

BuildRequires:  meson >= 0.43.0 gcc pkgconfig(gmodule-2.0) pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:  pkgconfig(udisks2) >= 2.1.1 pkgconfig(gtk+-3.0) >= 3.16.0 pkgconfig(libsecret-1) >= 0.7
BuildRequires:  pkgconfig(pwquality) >= 1.0.0 pkgconfig(libcanberra-gtk3) >= 0.1 pkgconfig(dvdread) >= 4.2.0
BuildRequires:  pkgconfig(libnotify) >= 0.7 pkgconfig(liblzma) >= 5.0.5 pkgconfig(libsystemd) >= 209
BuildRequires:  gettext libxslt docbook-style-xsl desktop-file-utils libappstream-glib
Requires:       udisks2

%description
This gnome-disk-utility repository provides libraries and applications for
dealing with storage devices.

%package help
Summary:        Help package for gnome-disk-utility

%description help
This package contains some man help files for gnome-disk-utility.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/*
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_libexecdir}/gsd-disk-utility-notify
%exclude %{_datadir}/man*

%files help
%{_mandir}/man1/*

%changelog
* Wed Dec 11 2019 lingsheng <lingsheng@huawei.com> - 3.30.2-2
- Package init
